| Version: 3.0.5

- Main Page
- Related Pages
- Categories
- Classes
- Files

- File List
- File Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Modules Pages
Classes | Macros | Enumerations
print.h File Reference

## Classes

class | wxPreviewControlBar
| This is the default implementation of the preview control bar, a panel with buttons and a zoom control. More...
class | wxPreviewCanvas
| A preview canvas is the default canvas used by the print preview system to display the preview. More...
class | wxPreviewFrame
| This class provides the default method of managing the print preview interface. More...
class | wxPrintPreview
| Objects of this class manage the print preview process. More...
class | wxPrinter
| This class represents the Windows or PostScript printer, and is the vehicle through which printing may be launched by an application. More...
class | wxPrintout
| This class encapsulates the functionality of printing out an application document. More...
class | wxPrintAbortDialog
| The dialog created by default by the print framework that enables aborting the printing process. More...

## Macros

#define | wxPREVIEW_PRINT 1
#define | wxPREVIEW_PREVIOUS 2
#define | wxPREVIEW_NEXT 4
#define | wxPREVIEW_ZOOM 8
#define | wxPREVIEW_FIRST 16
#define | wxPREVIEW_LAST 32
#define | wxPREVIEW_GOTO 64
#define | wxPREVIEW_DEFAULT
#define | wxID_PREVIEW_CLOSE 1
#define | wxID_PREVIEW_NEXT 2
#define | wxID_PREVIEW_PREVIOUS 3
#define | wxID_PREVIEW_PRINT 4
#define | wxID_PREVIEW_ZOOM 5
#define | wxID_PREVIEW_FIRST 6
#define | wxID_PREVIEW_LAST 7
#define | wxID_PREVIEW_GOTO 8
#define | wxID_PREVIEW_ZOOM_IN 9
#define | wxID_PREVIEW_ZOOM_OUT 10

## Enumerations

enum | wxPrinterError { wxPRINTER_NO_ERROR = 0, wxPRINTER_CANCELLED, wxPRINTER_ERROR }
enum | wxPreviewFrameModalityKind { wxPreviewFrame_AppModal, wxPreviewFrame_WindowModal, wxPreviewFrame_NonModal }
| Preview frame modality kind. More...

## Macro Definition Documentation

#define wxID_PREVIEW_CLOSE 1

#define wxID_PREVIEW_FIRST 6

#define wxID_PREVIEW_GOTO 8

#define wxID_PREVIEW_LAST 7

#define wxID_PREVIEW_NEXT 2

#define wxID_PREVIEW_PREVIOUS 3

#define wxID_PREVIEW_PRINT 4

#define wxID_PREVIEW_ZOOM 5

#define wxID_PREVIEW_ZOOM_IN 9

#define wxID_PREVIEW_ZOOM_OUT 10

#define wxPREVIEW_DEFAULT

Value:
(wxPREVIEW_PREVIOUS|wxPREVIEW_NEXT|wxPREVIEW_ZOOM\
|wxPREVIEW_FIRST|wxPREVIEW_GOTO|wxPREVIEW_LAST)
wxPREVIEW_ZOOM
#define wxPREVIEW_ZOOM
Definition: print.h:18
wxPREVIEW_NEXT
#define wxPREVIEW_NEXT
Definition: print.h:17
wxPREVIEW_FIRST
#define wxPREVIEW_FIRST
Definition: print.h:19
wxPREVIEW_LAST
#define wxPREVIEW_LAST
Definition: print.h:20
wxPREVIEW_PREVIOUS
#define wxPREVIEW_PREVIOUS
Definition: print.h:16
wxPREVIEW_GOTO
#define wxPREVIEW_GOTO
Definition: print.h:21

#define wxPREVIEW_FIRST 16

#define wxPREVIEW_GOTO 64

#define wxPREVIEW_LAST 32

#define wxPREVIEW_NEXT 4

#define wxPREVIEW_PREVIOUS 2

#define wxPREVIEW_PRINT 1

#define wxPREVIEW_ZOOM 8

## Enumeration Type Documentation

enum wxPreviewFrameModalityKind

Preview frame modality kind.

The elements of this enum can be used with wxPreviewFrame::Initialize() to indicate how should the preview frame be shown.

Since
  2.9.2

Enumerator
wxPreviewFrame_AppModal | Disable all the other top level windows while the preview frame is shown. This is the default behaviour.
wxPreviewFrame_WindowModal | Disable only the parent window while the preview frame is shown.
wxPreviewFrame_NonModal | Show the preview frame non-modally and don't disable any other windows.

enum wxPrinterError

Enumerator
wxPRINTER_NO_ERROR |
wxPRINTER_CANCELLED |
wxPRINTER_ERROR |